PIRL.Conductor

## Class Evaluate

- java.lang.Object
- - PIRL.Conductor.Evaluate

    public class Evaluate
    extends Object

Evaluates a mathematical expression.

This class is a wrapper for the mathematical expression evaluator. It is provided to confirm that expressions processed by a Reference_Resolver will correctly evaluate; and if not, why not.

The arguments on the command line are taken to be the expression. This may be contained in one argument or multiple arguments; multiple arguments are concatenated with spaces separating them to form a single expression.

The expression is evaluated and the results are listed. If the expression can not be evaulated the expression evaluator's description of the problem is listed.

See Also:
  `Parser.Parser()`

### Constructor Summary

Constructors
Constructor and Description
`Evaluate()`

### Method Summary

Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Evaluate

    public Evaluate()

### Method Detail

#### main

    public static void main(String[] args)